<?php
declare(strict_types=1);

namespace App\Services\Payment;

class IyzicoPaymentProvider extends AbstractPaymentProvider
{
    public function getProviderName(): string
    {
        return 'IyzicoPaymentProvider';
    }

    public function supportsSavedCard(): bool
    {
        return $this->boolConfig('saved_card_enabled', false);
    }

    public function supportsTokenization(): bool
    {
        return true;
    }
}
